ome-common 5.3.2

Namespaces | Functions
filesystem.h File Reference

Boost.Filesystem compatibility. More...

`#include <ome/common/config.h>`
`#include <boost/filesystem/operations.hpp>`
`#include <boost/filesystem/path.hpp>`
Include dependency graph for filesystem.h:

Go to the source code of this file.

## Namespaces
| ome
| Open Microscopy Environment C++.
| ome::common
| OME compatibility functions and classes.

## Functions
boost::filesystem::path | ome::common::make_relative (boost::filesystem::path from, boost::filesystem::path to)
| Make a relative path. More...

## Detailed Description

Boost.Filesystem compatibility.

This header works around the lack of certain functions in older versions of the Boost.Filesystem library.